Page MenuHomePhabricator

Recruit Google Code-in 2016 mentors
Closed, ResolvedPublic

Description

Help welcome (feel free to edit the task desc).
See T924 and T115409 for previous years' activities and venues.

Notifications sent:

Individual:

Mailing lists:

On-wiki venues:

Event Timeline

@Aklapper As a first step, I am planning to reach out individually to the mentors and participants of Google Summer of Code 2016 https://blog.wikimedia.org/2016/06/16/wikimedia-gsoc/ and Outreachy https://www.mediawiki.org/wiki/Outreachy/Past_projects via email/ IRC. My sense is that I would be able to find what I am looking for mostly on these two links. Sounds good? @01tonythomas @Sumit It seems like you both coordinated the Summer of Code for this year, it would be great if you could add any other relevant links/ participants info that might be useful in this context.

Yeah. we got couple of GSoC mentors conpherences. Let me add you in there. You can also find a good enough collection at https://www.mediawiki.org/wiki/Outreach_programs/Possible_mentors

@01tonythomas this is great! thanks much.

Sounds good?

Yes! Thanks! Also to @01tonythomas!

We (well... I?) should also contact last year's GCI top students (we've never done that so far) if I can collect the email addresses (as we deal with minor age folks here, there might be legal concerns but we have such info in public already, e.g. in Gerrit).
To invite them again, or to become a mentor if they are too old this year.

srishakatux added a comment.EditedOct 26 2016, 11:53 PM

I reached out to all the mentors and students of GSOC 2016 and Outreachy Round 12. @Aklapper I've shared a google document with you that contains a list of potential mentors whom I've emailed today. I have pulled the email addresses of students from their project links on phabricator and of mentors from their wiki page or profile link on phabricator or from elsewhere on the web. I'm wondering if there is a better way of doing this?

We (well... I?) should also contact last year's GCI top students (we've never done that so far) if I can collect the email addresses (as we deal with minor age folks here, there might be legal concerns but we have such info in public already, e.g. in Gerrit).
To invite them again, or to become a mentor if they are too old this year.

I think it's a great idea! Do you have a list of GCI students from last year, I will reach out to them.

Next, I am going to take a look at the list of possible mentors shared by @01tonythomas and candidates from previous rounds of Outreachy.

Qgil added a subscriber: Qgil.Oct 27 2016, 2:14 PM

One way to find tasks (and perhaps mentors) is to go through the Developer-Advocacy and Community-Relations-Support boards (Backlog and Team Radar columns only) and check whether any easy tasks could be found in there. Sometimes the whole task will be easy enough, sometimes the entire task will be too big/complex, but maybe there are potential subtasks that could be splitted and made GCi tasks.

Many of the tasks in those backlogs have been a long time there not because they are especially complex, but because there haven't been enough incentives to work on them. Many have actually many subscribers, or not so many but enough to find a potential mentors there. There is a chance that exposing these tasks to GCi students will activate the interest received, and some work will be done.

Here is a very basic example (I don't think it needs to be much more complicated but maybe you want to write a more elaborated message): https://phabricator.wikimedia.org/T117437#2748299

Aklapper updated the task description. (Show Details)Oct 27 2016, 6:26 PM

I reached out to all the mentors and students of GSOC 2016 and Outreachy Round 12.

Thank you Srishti! I've edited the task desc under "Notifications sent" accordingly and documented this step on the wiki.

I'm wondering if there is a better way of doing this?

It's good! And we'd also have some email addresses in Gerrit, on mailing lists, and (combined) in the DB behind korma.wmflabs.org.

srishakatux updated the task description. (Show Details)Oct 29 2016, 4:45 AM

Gerrit tool has been extremely useful for finding more information about the contributors :) I emailed Outreachy students and mentors from recent years which are listed here: https://www.mediawiki.org/wiki/Outreachy/Past_projects. I've updated the Google doc that I am maintaining for the same.

srishakatux updated the task description. (Show Details)Oct 29 2016, 5:19 AM

We (well... I?) should also contact last year's GCI top students (we've never done that so far) if I can collect the email addresses (as we deal with minor age folks here, there might be legal concerns but we have such info in public already, e.g. in Gerrit).
To invite them again, or to become a mentor if they are too old this year.

@Aklapper I will reach out to students whose work you've showcased on the blog: https://blogs.gnome.org/aklapper/2016/01/28/wikimedia-google-code-in-2015/ (only if I will be able to find them on Gerrit :P). I might have missed this info, but do we have a full list somewhere?

srishakatux updated the task description. (Show Details)Oct 29 2016, 6:08 AM
srishakatux updated the task description. (Show Details)

I might have missed this info, but do we have a full list of last year's students somewhere?

@srishakatux: We don't. :-/ The GCI website itself does not expose email addresses of students, and I did not systematically CC myself on all Gerrit changes related to GCI last year (mail overkill).
I do have some Gerrit spam from last year though. I'll drop you a short list via email.

srishakatux updated the task description. (Show Details)Nov 1 2016, 2:25 AM

@Aklapper Notified GCI students from last year.

I'd love to mentor this year! Tomorrow I will find a few good first task tasks I'd like to mentor and I'll add myself to the wiki.


On a side note, one thing I felt was notably missing from last year's GCI was tasks relating to Wikimedia's mobile apps. I don't know if this was due to a lack of mentors or if there was a perceived lack of student interest, but I think it would be worthwhile to see if those projects want to participate. I know there is a large number of high school students who program iOS and Android apps, and I'd be surprised if those tasks weren't taken up quickly.

Although I haven't contributed to Wikipedia's iOS app, I do have a lot of experience with those technologies and the languages used (Obj-C/Swift) and would certainly be willing to co-mentor any of those tasks if they were to exist.

Of course, I will still mentor PHP and JS tasks in other Wikimedia projects regardless.

srishakatux added a comment.EditedNov 1 2016, 6:39 AM

@Aklapper Reached out to the WMF members from a few teams (Analytics, Discovery, Desktop and Mobile Web, Fundraising Tech, Mobile apps, and Mobile Infra, Community Engagement), the backlog tasks for which are marked as easy.

srishakatux updated the task description. (Show Details)Nov 2 2016, 12:12 AM
srishakatux updated the task description. (Show Details)

@Aklapper Notified 2015 GCI mentors who were not in any other lists.

I'd love to mentor this year! Tomorrow I will find a few good first task tasks I'd like to mentor and I'll add myself to the wiki.

Even take a look at the new Missing-Mentors column in Google-Code-In-2016

Sumit added a comment.Nov 3 2016, 6:10 AM

On a side note, one thing I felt was notably missing from last year's GCI was tasks relating to Wikimedia's mobile apps. I don't know if this was due to a lack of mentors or if there was a perceived lack of student interest, but I think it would be worthwhile to see if those projects want to participate. I know there is a large number of high school students who program iOS and Android apps, and I'd be surprised if those tasks weren't taken up quickly.

For info, you can hangout on #wikimedia-mobile where you can seek the iOS apps team to chat about and explore the possibility of iOS related tasks.

Aklapper updated the task description. (Show Details)Nov 3 2016, 4:12 PM
Aklapper updated the task description. (Show Details)Nov 5 2016, 4:32 PM
Aklapper updated the task description. (Show Details)Nov 7 2016, 7:42 PM
Aklapper updated the task description. (Show Details)Nov 7 2016, 7:48 PM
Aklapper updated the task description. (Show Details)Nov 7 2016, 7:53 PM
Aklapper updated the task description. (Show Details)Nov 7 2016, 7:57 PM
Aklapper updated the task description. (Show Details)Nov 7 2016, 8:03 PM
Aklapper updated the task description. (Show Details)Nov 7 2016, 8:20 PM
Aklapper updated the task description. (Show Details)Nov 8 2016, 11:34 AM
Aklapper lowered the priority of this task from High to Medium.Nov 8 2016, 2:48 PM
Aklapper updated the task description. (Show Details)

I think we're in a good state currently (most work was done by Srishti; see the list of contacted people and venues above in the task description) so I'm going to reduce the priority of this task.

Aklapper updated the task description. (Show Details)Nov 8 2016, 3:39 PM
Aklapper closed this task as Resolved.Dec 1 2016, 6:49 PM

Today I've send a heads-up to three more "on-wiki developers" (Lua / templates etc.).
(I also added them to our internal list of people to reach out to.)

In general I think we're in good shape - we never had so many mentors at this stage and that's mostly thanks to @srishakatux' outreach.

I'm closing this task as the main "recruiting" has been done successfully - now it's more about getting more tasks.

(Of course everybody is welcome to still get more mentors involved - actually we had a couple of new registrations in the last days.)

Qgil awarded a token.Dec 2 2016, 8:34 AM